Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(279)

Issue 1722493002: Project Eraser: Kill chrome://memory. (Closed)

Created:
3 years, 11 months ago by Alexei Svitkine (slow)
Modified:
3 years, 10 months ago
CC:
arv+watch_chromium.org, browser-components-watch_chromium.org, chromium-apps-reviews_chromium.org, chromium-reviews, darin-cc_chromium.org, extensions-reviews_chromium.org, jam, sdefresne+watch_chromium.org, tfarina
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Project Eraser: Kill chrome://memory. This deletes the majority of the code supporting chrome://memory pages. There's still a little bit more of follow-up work to clean up memory_details*.cc files, but those will require some changes to logic and thus is better to do them in a separate CL. BUG=588790, 25454 Committed: https://crrev.com/2c4b4d1a04810d291d4c97639b7b1a115a6d445a Cr-Commit-Position: refs/heads/master@{#382198}

Patch Set 1 : #

Patch Set 2 : Rebase. #

Patch Set 3 : Use TaskManager.xib saved on 10.9. #

Patch Set 4 : Rebase. #

Patch Set 5 : Fix chrome_browser_ui.gypi. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+30 lines, -2706 lines) Patch
M chrome/BUILD.gn View 1 2 3 3 chunks +0 lines, -3 lines 0 comments Download
M chrome/app/chromium_strings.grd View 1 chunk +0 lines, -16 lines 0 comments Download
M chrome/app/generated_resources.grd View 1 2 3 1 chunk +0 lines, -3 lines 0 comments Download
M chrome/app/google_chrome_strings.grd View 1 chunk +0 lines, -16 lines 0 comments Download
M chrome/app/nibs/TaskManager.xib View 1 2 4 chunks +8 lines, -25 lines 0 comments Download
M chrome/browser/browser_about_handler_unittest.cc View 1 chunk +0 lines, -4 lines 0 comments Download
M chrome/browser/browser_resources.grd View 1 2 3 2 chunks +0 lines, -11 lines 0 comments Download
M chrome/browser/defaults.h View 1 chunk +0 lines, -3 lines 0 comments Download
M chrome/browser/defaults.cc View 1 chunk +0 lines, -2 lines 0 comments Download
M chrome/browser/history/history_utils.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/memory_details.h View 1 1 chunk +0 lines, -4 lines 0 comments Download
M chrome/browser/memory_details.cc View 1 3 chunks +0 lines, -31 lines 0 comments Download
M chrome/browser/process_resource_usage.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/profiles/profile_window.h View 2 chunks +0 lines, -2 lines 0 comments Download
M chrome/browser/profiles/profile_window.cc View 1 2 3 2 chunks +0 lines, -4 lines 0 comments Download
M chrome/browser/resources/BUILD.gn View 1 chunk +0 lines, -10 lines 0 comments Download
D chrome/browser/resources/about_memory.css View 1 chunk +0 lines, -312 lines 0 comments Download
D chrome/browser/resources/about_memory.html View 1 chunk +0 lines, -350 lines 0 comments Download
D chrome/browser/resources/about_memory.js View 1 chunk +0 lines, -84 lines 0 comments Download
D chrome/browser/resources/about_memory_linux.css View 1 chunk +0 lines, -25 lines 0 comments Download
D chrome/browser/resources/about_memory_linux.html View 1 chunk +0 lines, -210 lines 0 comments Download
D chrome/browser/resources/about_memory_mac.html View 1 chunk +0 lines, -253 lines 0 comments Download
M chrome/browser/resources/help/help_page.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
D chrome/browser/resources/memory_internals/OWNERS View 1 chunk +0 lines, -1 line 0 comments Download
D chrome/browser/resources/memory_internals/extension_view.css View 1 chunk +0 lines, -22 lines 0 comments Download
D chrome/browser/resources/memory_internals/extension_view.html View 1 chunk +0 lines, -14 lines 0 comments Download
D chrome/browser/resources/memory_internals/list.css View 1 chunk +0 lines, -27 lines 0 comments Download
D chrome/browser/resources/memory_internals/memory_internals.css View 1 chunk +0 lines, -39 lines 0 comments Download
D chrome/browser/resources/memory_internals/memory_internals.html View 1 chunk +0 lines, -23 lines 0 comments Download
D chrome/browser/resources/memory_internals/memory_internals.js View 1 chunk +0 lines, -172 lines 0 comments Download
D chrome/browser/resources/memory_internals/snapshot_view.css View 1 chunk +0 lines, -41 lines 0 comments Download
D chrome/browser/resources/memory_internals/snapshot_view.html View 1 chunk +0 lines, -21 lines 0 comments Download
D chrome/browser/resources/memory_internals_resources.grd View 1 chunk +0 lines, -15 lines 0 comments Download
M chrome/browser/task_manager/task_manager.h View 1 2 3 1 chunk +0 lines, -2 lines 0 comments Download
M chrome/browser/task_manager/task_manager.cc View 1 2 3 1 chunk +0 lines, -16 lines 0 comments Download
M chrome/browser/ui/chrome_pages.h View 1 1 chunk +0 lines, -1 line 0 comments Download
M chrome/browser/ui/chrome_pages.cc View 1 1 chunk +0 lines, -4 lines 0 comments Download
M chrome/browser/ui/cocoa/task_manager_mac.h View 1 chunk +0 lines, -3 lines 0 comments Download
M chrome/browser/ui/cocoa/task_manager_mac.mm View 1 chunk +0 lines, -4 lines 0 comments Download
M chrome/browser/ui/views/new_task_manager_view.h View 4 chunks +0 lines, -6 lines 0 comments Download
M chrome/browser/ui/views/new_task_manager_view.cc View 7 chunks +4 lines, -43 lines 0 comments Download
M chrome/browser/ui/views/task_manager_view.cc View 9 chunks +4 lines, -29 lines 0 comments Download
M chrome/browser/ui/webui/about_ui.cc View 6 chunks +1 line, -201 lines 0 comments Download
M chrome/browser/ui/webui/chrome_web_ui_controller_factory.cc View 1 2 3 3 chunks +1 line, -6 lines 0 comments Download
D chrome/browser/ui/webui/memory_internals/OWNERS View 1 chunk +0 lines, -1 line 0 comments Download
D chrome/browser/ui/webui/memory_internals/memory_internals_handler.h View 1 chunk +0 lines, -42 lines 0 comments Download
D chrome/browser/ui/webui/memory_internals/memory_internals_handler.cc View 1 chunk +0 lines, -46 lines 0 comments Download
D chrome/browser/ui/webui/memory_internals/memory_internals_proxy.h View 1 chunk +0 lines, -90 lines 0 comments Download
D chrome/browser/ui/webui/memory_internals/memory_internals_proxy.cc View 1 chunk +0 lines, -371 lines 0 comments Download
D chrome/browser/ui/webui/memory_internals/memory_internals_ui.h View 1 chunk +0 lines, -19 lines 0 comments Download
D chrome/browser/ui/webui/memory_internals/memory_internals_ui.cc View 1 chunk +0 lines, -35 lines 0 comments Download
M chrome/browser/ui/webui/signin/user_manager_screen_handler.cc View 1 2 3 1 chunk +0 lines, -2 lines 0 comments Download
M chrome/browser/web_dev_style/js_checker.py View 1 chunk +0 lines, -1 line 0 comments Download
M chrome/chrome_browser_ui.gypi View 1 2 3 4 1 chunk +0 lines, -6 lines 0 comments Download
M chrome/chrome_repack_resources.gypi View 1 chunk +0 lines, -1 line 0 comments Download
M chrome/chrome_resources.gyp View 1 chunk +0 lines, -8 lines 0 comments Download
M chrome/common/url_constants.h View 1 2 3 2 chunks +0 lines, -5 lines 0 comments Download
M chrome/common/url_constants.cc View 1 2 3 3 chunks +0 lines, -7 lines 0 comments Download
M components/history/core/browser/history_backend_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/child_process_security_policy_impl.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/child_process_security_policy_unittest.cc View 2 3 1 chunk +5 lines, -4 lines 0 comments Download
M content/public/common/process_type.h View 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/history/history_utils.cc View 1 chunk +1 line, -1 line 0 comments Download
M tools/gritsettings/resource_ids View 1 2 3 1 chunk +0 lines, -3 lines 0 comments Download

Messages

Total messages: 30 (14 generated)
Alexei Svitkine (slow)
thestig: PTAL Note: I still need to fix up the .xib file (need to save ...
3 years, 11 months ago (2016-02-22 19:22:02 UTC) #7
Alexei Svitkine (slow)
thestig: PTAL Note: I still need to fix up the .xib file (need to save ...
3 years, 11 months ago (2016-02-22 19:24:42 UTC) #8
Lei Zhang
+peria who is in the OWNERS files being removed. Has a decision been made on ...
3 years, 11 months ago (2016-02-22 19:58:16 UTC) #9
Lei Zhang
Code looks ok. Not sure if the unrelated changes in chrome/app/nibs/TaskManager.xib should be there.
3 years, 11 months ago (2016-02-22 20:04:32 UTC) #10
Alexei Svitkine (slow)
Yep, let me cc you to the thread. On 22 Feb 2016 11:58 a.m., <thestig@chromium.org> ...
3 years, 11 months ago (2016-02-22 20:15:45 UTC) #11
Alexei Svitkine (slow)
Yeah, as I mentioned - I need to make the changes to the xib file ...
3 years, 11 months ago (2016-02-22 20:22:45 UTC) #12
peria
On 2016/02/22 19:58:16, Lei Zhang wrote: > +peria who is in the OWNERS files being ...
3 years, 11 months ago (2016-02-26 05:48:51 UTC) #13
Alexei Svitkine (slow)
thestig: Now that you're hopefully back from vacation, friendly ping.
3 years, 10 months ago (2016-03-14 15:06:41 UTC) #14
Lei Zhang
lgtm
3 years, 10 months ago (2016-03-18 20:17:04 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1722493002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1722493002/80001
3 years, 10 months ago (2016-03-18 20:22:51 UTC) #17
Alexei Svitkine (slow)
+avi for content/ +sdefresne for ios/ and components/history
3 years, 10 months ago (2016-03-18 20:26:13 UTC) #21
Avi (use Gerrit)
lgtm
3 years, 10 months ago (2016-03-18 20:32:41 UTC) #22
sdefresne
ios/ and components/history/ lgtm
3 years, 10 months ago (2016-03-19 13:25:49 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1722493002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1722493002/100001
3 years, 10 months ago (2016-03-19 14:10:13 UTC) #26
commit-bot: I haz the power
Committed patchset #5 (id:100001)
3 years, 10 months ago (2016-03-19 14:18:18 UTC) #28
commit-bot: I haz the power
3 years, 10 months ago (2016-03-19 14:19:33 UTC) #30
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/2c4b4d1a04810d291d4c97639b7b1a115a6d445a
Cr-Commit-Position: refs/heads/master@{#382198}

Powered by Google App Engine
This is Rietveld 408576698